Index: issm/trunk-jpl/src/c/analyses/BalancethicknessAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/BalancethicknessAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/BalancethicknessAnalysis.cpp	(revision 23959)
@@ -44,5 +44,5 @@
 
 			/* Add load */
-			loads->AddObject(new Numericalflux(i+1,i,i,iomodel,BalancethicknessAnalysisEnum));
+			loads->AddObject(new Numericalflux(i+1,i,i,iomodel));
 		}
 
Index: issm/trunk-jpl/src/c/analyses/FreeSurfaceBaseAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/FreeSurfaceBaseAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/FreeSurfaceBaseAnalysis.cpp	(revision 23959)
@@ -37,5 +37,5 @@
 
 			/*Create Load*/
-			loads->AddObject(new Penpair(count+1, &penpair_ids[0], FreeSurfaceBaseAnalysisEnum));
+			loads->AddObject(new Penpair(count+1, &penpair_ids[0]));
 			count++;
 		}
Index: issm/trunk-jpl/src/c/analyses/FreeSurfaceTopAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/FreeSurfaceTopAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/FreeSurfaceTopAnalysis.cpp	(revision 23959)
@@ -37,5 +37,5 @@
 
 			/*Create Load*/
-			loads->AddObject(new Penpair( count+1, &penpair_ids[0], FreeSurfaceTopAnalysisEnum));
+			loads->AddObject(new Penpair( count+1, &penpair_ids[0]));
 			count++;
 		}
Index: issm/trunk-jpl/src/c/analyses/HydrologyDCEfficientAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/HydrologyDCEfficientAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/HydrologyDCEfficientAnalysis.cpp	(revision 23959)
@@ -128,10 +128,10 @@
 			/*keep only this partition's nodes:*/
 			if(iomodel->my_vertices[i]){
-				loads->AddObject(new Moulin(i+1,i,iomodel,HydrologyDCEfficientAnalysisEnum));
+				loads->AddObject(new Moulin(i+1,i,iomodel));
 			}
 		}
 		else if(reCast<int>(iomodel->Data("md.mesh.vertexonbase")[i])){
 			if(iomodel->my_vertices[i]){
-				loads->AddObject(new Moulin(i+1,i,iomodel,HydrologyDCEfficientAnalysisEnum));
+				loads->AddObject(new Moulin(i+1,i,iomodel));
 			}
 		}
Index: issm/trunk-jpl/src/c/analyses/HydrologyDCInefficientAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/HydrologyDCInefficientAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/HydrologyDCInefficientAnalysis.cpp	(revision 23959)
@@ -155,12 +155,12 @@
 			/*keep only this partition's nodes:*/
 			if(iomodel->my_vertices[i]){
-				loads->AddObject(new Pengrid(i+1,i,iomodel,HydrologyDCInefficientAnalysisEnum));
-				loads->AddObject(new Moulin(i+1,i,iomodel,HydrologyDCInefficientAnalysisEnum));
+				loads->AddObject(new Pengrid(i+1,i,iomodel));
+				loads->AddObject(new Moulin(i+1,i,iomodel));
 			}
 		}
 		else if(reCast<int>(iomodel->Data("md.mesh.vertexonbase")[i])){
 			if(iomodel->my_vertices[i]){
-				loads->AddObject(new Pengrid(i+1,i,iomodel,HydrologyDCInefficientAnalysisEnum));
-				loads->AddObject(new Moulin(i+1,i,iomodel,HydrologyDCInefficientAnalysisEnum));
+				loads->AddObject(new Pengrid(i+1,i,iomodel));
+				loads->AddObject(new Moulin(i+1,i,iomodel));
 			}
 		}
Index: issm/trunk-jpl/src/c/analyses/HydrologyShaktiAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/HydrologyShaktiAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/HydrologyShaktiAnalysis.cpp	(revision 23959)
@@ -38,10 +38,10 @@
 			/*keep only this partition's nodes:*/
 			if(iomodel->my_vertices[i]){
-				loads->AddObject(new Moulin(i+1,i,iomodel,HydrologyShaktiAnalysisEnum));
+				loads->AddObject(new Moulin(i+1,i,iomodel));
 			}
 		}
 		else if(reCast<int>(iomodel->Data("md.mesh.vertexonbase")[i])){
 			if(iomodel->my_vertices[i]){
-				loads->AddObject(new Moulin(i+1,i,iomodel,HydrologyShaktiAnalysisEnum));
+				loads->AddObject(new Moulin(i+1,i,iomodel));
 			}	
 		}
@@ -58,5 +58,5 @@
 	for(int i=0;i<M;i++){
 		if(iomodel->my_elements[segments[i*3+2]-1]){
-			loads->AddObject(new Neumannflux(i+1,i,iomodel,segments,HydrologyShaktiAnalysisEnum));
+			loads->AddObject(new Neumannflux(i+1,i,iomodel,segments));
 		}
 	}
Index: issm/trunk-jpl/src/c/analyses/MasstransportAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/MasstransportAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/MasstransportAnalysis.cpp	(revision 23959)
@@ -51,5 +51,5 @@
 
 			/* Add load */
-			loads->AddObject(new Numericalflux(i+1,i,i,iomodel,MasstransportAnalysisEnum));
+			loads->AddObject(new Numericalflux(i+1,i,i,iomodel));
 		}
 
@@ -81,5 +81,5 @@
 
 			/*Create Load*/
-			loads->AddObject(new Penpair(count+1,&penpair_ids[0],MasstransportAnalysisEnum));
+			loads->AddObject(new Penpair(count+1,&penpair_ids[0]));
 			count++;
 		}
Index: issm/trunk-jpl/src/c/analyses/MeltingAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/MeltingAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/MeltingAnalysis.cpp	(revision 23959)
@@ -21,5 +21,5 @@
 		if(iomodel->my_vertices[i]){
 			if (reCast<int>(iomodel->Data("md.mesh.vertexonbase")[i])){
-				loads->AddObject(new Pengrid(i+1,i,iomodel,MeltingAnalysisEnum));
+				loads->AddObject(new Pengrid(i+1,i,iomodel));
 			}
 		}
Index: issm/trunk-jpl/src/c/analyses/StressbalanceAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/StressbalanceAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/StressbalanceAnalysis.cpp	(revision 23959)
@@ -474,5 +474,5 @@
 
 			/*Create Load*/
-			loads->AddObject(new Penpair(count+1,&penpair_ids[0],StressbalanceAnalysisEnum));
+			loads->AddObject(new Penpair(count+1,&penpair_ids[0]));
 			count++;
 		}
@@ -488,5 +488,5 @@
 		for(i=0;i<numriftsegments;i++){
 			if(iomodel->my_elements[reCast<int,IssmDouble>(*(riftinfo+RIFTINFOSIZE*i+2))-1]){
-				loads->AddObject(new Riftfront(count+1,i,iomodel,StressbalanceAnalysisEnum));
+				loads->AddObject(new Riftfront(count+1,i,iomodel));
 				count++;
 			}
Index: issm/trunk-jpl/src/c/analyses/ThermalAnalysis.cpp
===================================================================
--- issm/trunk-jpl/src/c/analyses/ThermalAnalysis.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/analyses/ThermalAnalysis.cpp	(revision 23959)
@@ -84,5 +84,5 @@
 		if(iomodel->my_vertices[i]){
 			if (xIsNan<IssmDouble>(iomodel->Data("md.thermal.spctemperature")[i])){ //No penalty applied on spc nodes!
-				loads->AddObject(new Pengrid(i+1,i,iomodel,ThermalAnalysisEnum));
+				loads->AddObject(new Pengrid(i+1,i,iomodel));
 			}
 		}
Index: issm/trunk-jpl/src/c/classes/Loads/Friction.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Friction.h	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Friction.h	(revision 23959)
@@ -14,6 +14,4 @@
 
 	public:
-		int analysis_type;
-
 		Element* element;
 		int      dim;
Index: issm/trunk-jpl/src/c/classes/Loads/Moulin.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Moulin.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Moulin.cpp	(revision 23959)
@@ -28,5 +28,5 @@
 }
 /*}}}*/
-Moulin::Moulin(int id, int index, IoModel* iomodel, int in_analysis_type){ //i is the element index/*{{{*/
+Moulin::Moulin(int id, int index, IoModel* iomodel){ /*{{{*/
 
 	int pengrid_node_id;
@@ -40,5 +40,4 @@
 	/*id: */
 	this->id=id;
-	this->analysis_type=in_analysis_type;
 
 	/*hooks: */
@@ -72,5 +71,4 @@
 	/*copy fields: */
 	pengrid->id=this->id;
-	pengrid->analysis_type=this->analysis_type;
 
 	/*point parameters: */
@@ -92,5 +90,4 @@
 	_printf_("Moulin:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	hnode->DeepEcho();
 	helement->DeepEcho();
@@ -112,5 +109,4 @@
 	MARSHALLING_ENUM(MoulinEnum);
 	MARSHALLING(id);
-	MARSHALLING(analysis_type);
 
 	if(marshall_direction==MARSHALLING_BACKWARD){
Index: issm/trunk-jpl/src/c/classes/Loads/Moulin.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Moulin.h	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Moulin.h	(revision 23959)
@@ -24,5 +24,4 @@
 
 		int id;
-		int analysis_type;
 
 		/*Hooks*/
@@ -40,5 +39,5 @@
 		/*Moulin constructors, destructors {{{*/
 		Moulin();
-		Moulin(int index, int id, IoModel* iomodel,int analysis_type);
+		Moulin(int index, int id, IoModel* iomodel);
 		~Moulin();
 		/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Loads/Neumannflux.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Neumannflux.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Neumannflux.cpp	(revision 23959)
@@ -29,5 +29,5 @@
 }
 /*}}}*/
-Neumannflux::Neumannflux(int neumannflux_id,int i,IoModel* iomodel,int* segments,int in_analysis_type){/*{{{*/
+Neumannflux::Neumannflux(int neumannflux_id,int i,IoModel* iomodel,int* segments){/*{{{*/
 
 	/*Some sanity checks*/
@@ -52,5 +52,4 @@
 	/*Ok, we have everything to build the object: */
 	this->id=neumannflux_id;
-	this->analysis_type=in_analysis_type;
 
 	/*Hooks: */
@@ -82,5 +81,4 @@
 	/*copy fields: */
 	neumannflux->id=this->id;
-	neumannflux->analysis_type=this->analysis_type;
 
 	/*point parameters: */
@@ -104,5 +102,4 @@
 	_printf_("Neumannflux:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	hnodes->DeepEcho();
 	hvertices->DeepEcho();
@@ -118,5 +115,4 @@
 	_printf_("Neumannflux:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	hnodes->Echo();
 	hvertices->Echo();
@@ -136,5 +132,4 @@
 	MARSHALLING_ENUM(NeumannfluxEnum);
 	MARSHALLING(id);
-	MARSHALLING(analysis_type);
 
 	if(marshall_direction==MARSHALLING_BACKWARD){
Index: issm/trunk-jpl/src/c/classes/Loads/Neumannflux.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Neumannflux.h	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Neumannflux.h	(revision 23959)
@@ -20,5 +20,4 @@
 	public: 
 		int id;
-		int analysis_type;
 
 		/*Hooks*/
@@ -35,5 +34,5 @@
 		/*Neumannflux constructors,destructors {{{*/
 		Neumannflux();
-		Neumannflux(int numericalflux_id,int i,IoModel* iomodel,int* segments,int analysis_type);
+		Neumannflux(int numericalflux_id,int i,IoModel* iomodel,int* segments);
 		~Neumannflux();
 		/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Loads/Numericalflux.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Numericalflux.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Numericalflux.cpp	(revision 23959)
@@ -30,5 +30,5 @@
 }
 /*}}}*/
-Numericalflux::Numericalflux(int numericalflux_id,int i,int index,IoModel* iomodel, int in_analysis_type){/*{{{*/
+Numericalflux::Numericalflux(int numericalflux_id,int i,int index,IoModel* iomodel){/*{{{*/
 
 	/* Intermediary */
@@ -108,5 +108,4 @@
 	/*Ok, we have everything to build the object: */
 	this->id=numericalflux_id;
-	this->analysis_type=in_analysis_type;
 	this->flux_type = numericalflux_type;
 
@@ -139,5 +138,4 @@
 	/*copy fields: */
 	numericalflux->id=this->id;
-	numericalflux->analysis_type=this->analysis_type;
 	numericalflux->flux_type=this->flux_type;
 
@@ -162,5 +160,4 @@
 	_printf_("Numericalflux:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	_printf_("   flux_type: " << this->flux_type<< "\n");
 	hnodes->DeepEcho();
@@ -177,5 +174,4 @@
 	_printf_("Numericalflux:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	_printf_("   flux_type: " << this->flux_type<< "\n");
 	hnodes->Echo();
@@ -196,5 +192,4 @@
 	MARSHALLING_ENUM(NumericalfluxEnum);
 	MARSHALLING(id);
-	MARSHALLING(analysis_type);
 	MARSHALLING(flux_type);
 
Index: issm/trunk-jpl/src/c/classes/Loads/Numericalflux.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Numericalflux.h	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Numericalflux.h	(revision 23959)
@@ -20,5 +20,4 @@
 	public: 
 		int id;
-		int analysis_type;
 		int flux_type;
 
@@ -36,5 +35,5 @@
 		/*Numericalflux constructors,destructors {{{*/
 		Numericalflux();
-		Numericalflux(int numericalflux_id,int i,int index,IoModel* iomodel,int analysis_type);
+		Numericalflux(int numericalflux_id,int i,int index,IoModel* iomodel);
 		~Numericalflux();
 		/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Loads/Pengrid.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Pengrid.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Pengrid.cpp	(revision 23959)
@@ -33,5 +33,5 @@
 }
 /*}}}*/
-Pengrid::Pengrid(int id, int index, IoModel* iomodel, int in_analysis_type){ //i is the element index/*{{{*/
+Pengrid::Pengrid(int id, int index, IoModel* iomodel){/*{{{*/
 
 	int pengrid_node_id;
@@ -45,5 +45,4 @@
 	/*id: */
 	this->id=id;
-	this->analysis_type=in_analysis_type;
 
 	/*hooks: */
@@ -82,5 +81,4 @@
 	/*copy fields: */
 	pengrid->id=this->id;
-	pengrid->analysis_type=this->analysis_type;
 
 	/*point parameters: */
@@ -107,5 +105,4 @@
 	_printf_("Pengrid:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	hnode->DeepEcho();
 	helement->DeepEcho();
@@ -129,5 +126,4 @@
 	MARSHALLING_ENUM(PengridEnum);
 	MARSHALLING(id);
-	MARSHALLING(analysis_type);
 
 	if(marshall_direction==MARSHALLING_BACKWARD){
Index: issm/trunk-jpl/src/c/classes/Loads/Pengrid.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Pengrid.h	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Pengrid.h	(revision 23959)
@@ -23,6 +23,5 @@
 	private: 
 
-		int        id;
-		int        analysis_type;
+		int id;
 
 		/*Hooks*/
@@ -44,5 +43,5 @@
 		/*Pengrid constructors, destructors {{{*/
 		Pengrid();
-		Pengrid(int id, int index, IoModel* iomodel,int analysis_type);
+		Pengrid(int id, int index, IoModel* iomodel);
 		~Pengrid();
 		/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Loads/Penpair.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Penpair.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Penpair.cpp	(revision 23959)
@@ -27,8 +27,7 @@
 }
 /*}}}*/
-Penpair::Penpair(int penpair_id, int* penpair_node_ids,int in_analysis_type){/*{{{*/
+Penpair::Penpair(int penpair_id, int* penpair_node_ids){/*{{{*/
 
 	this->id=penpair_id;
-	this->analysis_type=in_analysis_type;
 	this->hnodes=new Hook(penpair_node_ids,2);
 	this->parameters=NULL;
@@ -53,5 +52,4 @@
 	/*copy fields: */
 	penpair->id=this->id;
-	penpair->analysis_type=this->analysis_type;
 
 	/*now deal with hooks and objects: */
@@ -70,5 +68,4 @@
 	_printf_("Penpair:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	hnodes->DeepEcho();
 
@@ -80,5 +77,4 @@
 	_printf_("Penpair:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	hnodes->Echo();
 
@@ -95,5 +91,4 @@
 	MARSHALLING_ENUM(PenpairEnum);
 	MARSHALLING(id);
-	MARSHALLING(analysis_type);
 
 	if(marshall_direction==MARSHALLING_BACKWARD){
Index: issm/trunk-jpl/src/c/classes/Loads/Penpair.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Penpair.h	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Penpair.h	(revision 23959)
@@ -18,5 +18,4 @@
 	private: 
 		int          id;
-		int          analysis_type;
 		Hook        *hnodes;          //hook to 2 nodes
 		Node       **nodes;
@@ -27,5 +26,5 @@
 		/*Penpair constructors, destructors: {{{*/
 		Penpair();
-		Penpair(int penpair_id,int* penpair_node_ids,int analysis_type);
+		Penpair(int penpair_id,int* penpair_node_ids);
 		~Penpair();
 		/*}}}*/
Index: issm/trunk-jpl/src/c/classes/Loads/Riftfront.cpp
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Riftfront.cpp	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Riftfront.cpp	(revision 23959)
@@ -28,5 +28,5 @@
 }
 /*}}}*/
-Riftfront::Riftfront(int riftfront_id,int i, IoModel* iomodel,int riftfront_analysis_type){/*{{{*/
+Riftfront::Riftfront(int riftfront_id,int i, IoModel* iomodel){/*{{{*/
 
 	/*data: */
@@ -54,5 +54,4 @@
 	/*id: */
 	this->id=riftfront_id;
-	this->analysis_type=riftfront_analysis_type;
 
 	/*hooks: */
@@ -109,5 +108,4 @@
 	/*copy fields: */
 	riftfront->id=this->id;
-	riftfront->analysis_type=this->analysis_type;
 	riftfront->type=this->type;
 	riftfront->fill=this->fill;
@@ -148,5 +146,4 @@
 	_printf_("Riftfront:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	hnodes->DeepEcho();
 	helements->DeepEcho();
@@ -159,5 +156,4 @@
 	_printf_("Riftfront:\n");
 	_printf_("   id: " << id << "\n");
-	_printf_("   analysis_type: " << EnumToStringx(analysis_type) << "\n");
 	_printf_("   hnodes: " << hnodes << "\n");
 	_printf_("   helements: " << helements << "\n");
@@ -189,5 +185,4 @@
 	MARSHALLING_ENUM(RiftfrontEnum);
 	MARSHALLING(id);
-	MARSHALLING(analysis_type);
 	MARSHALLING(type);
 	MARSHALLING(fill);
Index: issm/trunk-jpl/src/c/classes/Loads/Riftfront.h
===================================================================
--- issm/trunk-jpl/src/c/classes/Loads/Riftfront.h	(revision 23958)
+++ issm/trunk-jpl/src/c/classes/Loads/Riftfront.h	(revision 23959)
@@ -18,5 +18,4 @@
 	public:
 		int		id;
-		int     analysis_type;
 
 		/*properties*/
@@ -51,5 +50,5 @@
 		/*Riftfrontconstructors,destructors: {{{*/
 		Riftfront();
-		Riftfront(int riftfront_id,int i, IoModel* iomodel,int analysis_type);
+		Riftfront(int riftfront_id,int i, IoModel* iomodel);
 		~Riftfront();
 		/*}}}*/