Index: issm/trunk-jpl/test/NightlyRun/test125.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test125.m	(revision 23978)
+++ issm/trunk-jpl/test/NightlyRun/test125.m	(revision 23979)
@@ -9,5 +9,4 @@
 md.verbose=verbose('solution',true);
 md.settings.recording_frequency=4;
-md.settings.output_frequency=8;
 
 % time steps and resolution
Index: issm/trunk-jpl/test/NightlyRun/test275.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test275.m	(revision 23978)
+++ issm/trunk-jpl/test/NightlyRun/test275.m	(revision 23979)
@@ -20,5 +20,5 @@
 md=setflowequation(md,'SSA','all');
 md.cluster=generic('name',oshostname(),'np',3);
-md=solve(md,'tr');
+md=solve(md,'DamageEvolution');
 
 field_names={'D','F'};
Index: issm/trunk-jpl/test/NightlyRun/test308.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test308.m	(revision 23978)
+++ issm/trunk-jpl/test/NightlyRun/test308.m	(revision 23979)
@@ -1,11 +1,9 @@
 %Test Name: SquareSheetConstrainedStressFS
-%md=triangle(model(),'../Exp/Square.exp',180000.);
 md=triangle(model(),'../Exp/Square.exp',180000.);
 md=setmask(md,'','');
 md=parameterize(md,'../Par/SquareSheetConstrained.par');
-md=extrude(md,2,1.);
+md=extrude(md,3,1.);
 md=setflowequation(md,'FS','all');
-md.cluster=generic('name',oshostname(),'np',2);
-md.flowequation.fe_FS='TaylorHood';
+md.cluster=generic('name',oshostname(),'np',3);
 md=solve(md,'Stressbalance');
 
Index: issm/trunk-jpl/test/NightlyRun/test4001.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test4001.m	(revision 23978)
+++ issm/trunk-jpl/test/NightlyRun/test4001.m	(revision 23979)
@@ -3,5 +3,5 @@
 %
 %Script control parameters
-steps=1:9
+steps=1:11;
 final_time=1;
 
Index: issm/trunk-jpl/test/NightlyRun/test601.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test601.m	(revision 23978)
+++ issm/trunk-jpl/test/NightlyRun/test601.m	(revision 23979)
@@ -1,4 +1,4 @@
 %Test Name: 79NorthMasstransp2d
-md=triangle(model(),'../Exp/79North.exp',100.);
+md=triangle(model(),'../Exp/79North.exp',10000.);
 md=setmask(md,'../Exp/79NorthShelf.exp','');
 md=parameterize(md,'../Par/79North.par');
Index: issm/trunk-jpl/test/NightlyRun/test701.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test701.m	(revision 23978)
+++ issm/trunk-jpl/test/NightlyRun/test701.m	(revision 23979)
@@ -1,9 +1,8 @@
 %Test Name: FlowbandFSshelf
-%x =[1:100:3000]';
-x =[1 3000]';
+x =[1:100:3000]';
 h=linspace(1000,300,numel(x))';
 b=-917/1023*h;
 
-md=bamgflowband(model(),x,b+h,b,'hmax',800000);
+md=bamgflowband(model(),x,b+h,b,'hmax',80);
 
 %Geometry
@@ -37,8 +36,4 @@
 md.stressbalance.spcvy(find(vertexflags(md.mesh,4)))=0;
 md.basalforcings.floatingice_melting_rate=zeros(md.mesh.numberofvertices,1);
-pos = find(md.mesh.vertexonboundary);
-md.stressbalance.spcvx(pos)=0;
-md.stressbalance.spcvy(:)=0;
-md.stressbalance.spcvz(:)=0;
 
 %Misc
@@ -63,5 +58,4 @@
 	disp(['====== Testing ' i{1} ' Full-Stokes Finite element =====']);
 	md.flowequation.fe_FS=i{1};
-	error('t701');
 	md=solve(md,'Stressbalance');
 	field_names     ={field_names{:},['Vx' i{1}],['Vy' i{1}],['Vel' i{1}],['Pressure' i{1}]};
Index: issm/trunk-jpl/test/NightlyRun/test702.m
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test702.m	(revision 23978)
+++ issm/trunk-jpl/test/NightlyRun/test702.m	(revision 23979)
@@ -1,9 +1,6 @@
 %Test Name: FlowbandFSsheetshelf
 %mesh parameters
-x =[-5:.5: 5]';
+x =[-5:.5:5]';
 [b h sea]=NowickiProfile(x);
-x=[x(1);x(end)];
-b=[b(1);b(end)];
-h=[h(1);h(end)];
 x = x*10^3;
 h = h*10^3;
@@ -11,5 +8,5 @@
 
 %mesh domain
-md=bamgflowband(model(),x,b+h,b,'hmax',15000);
+md=bamgflowband(model(),x,b+h,b,'hmax',150);
 
 %parameterize
@@ -38,8 +35,4 @@
 md.stressbalance.spcvy(find(vertexflags(md.mesh,4)))=0;
 md.basalforcings.floatingice_melting_rate=zeros(md.mesh.numberofvertices,1);
-pos = find(md.mesh.vertexonboundary);
-md.stressbalance.spcvx(pos)=0;
-md.stressbalance.spcvy(:)=0;
-md.stressbalance.spcvz(:)=0;
 
 %Misc
@@ -53,5 +46,5 @@
 md.miscellaneous.name = 'test702';
 md.groundingline.migration='None';
-md.cluster=generic('np',1);
+md.cluster=generic('np',2);
 
 %Fields and tolerances to track changes
@@ -63,5 +56,4 @@
 	disp(['====== Testing ' i{1} ' Full-Stokes Finite element =====']);
 	md.flowequation.fe_FS=i{1};
-	error('S');
 	md=solve(md,'Stressbalance');
 	field_names     ={field_names{:},['Vx' i{1}],['Vy' i{1}],['Vel' i{1}],['Pressure' i{1}]};