Index: issm/trunk-jpl/jenkins/linux64_ross
===================================================================
--- issm/trunk-jpl/jenkins/linux64_ross	(revision 24235)
+++ issm/trunk-jpl/jenkins/linux64_ross	(revision 24236)
@@ -11,16 +11,14 @@
 	--disable-static \
 	--with-matlab-dir=$MATLAB_PATH \
-	--with-python-dir=/usr \
-	--with-python-numpy-dir=/var/lib/jenkins/.local/lib/python2.7/site-packages/numpy \
-	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-fortran-lib="-L/usr/lib/gcc/x86_64-linux-gnu/4.9 -lgfortran" \
 	--with-mpi-include=$ISSM_DIR/externalpackages/mpich/install/include  \
 	--with-mpi-libflags="-L$ISSM_DIR/externalpackages/mpich/install/lib -lmpi" \
+	--with-metis-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-metis-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
 	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
-	--with-fortran-lib="-L/usr/lib/gcc/x86_64-linux-gnu/4.9 -lgfortran" \
 	--with-m1qn3-dir=$ISSM_DIR/externalpackages/m1qn3/install \
 	--with-semic-dir=$ISSM_DIR/externalpackages/semic/install \
@@ -31,5 +29,5 @@
 #PYTHON and MATLAB testing
 MATLAB_TEST=1
-PYTHON_TEST=1
+PYTHON_TEST=0
 
 #-----------------------------------#
@@ -65,4 +63,4 @@
 #by Matlab and runme.m
 #ex: "'id',[101 102 103]"
-PYTHON_NROPTIONS="--exclude_name 'Dakota'"
+PYTHON_NROPTIONS=""
 MATLAB_NROPTIONS="'exclude',[IdFromString('Dakota')]"
Index: issm/trunk-jpl/jenkins/linux64_ross_python
===================================================================
--- issm/trunk-jpl/jenkins/linux64_ross_python	(revision 24235)
+++ issm/trunk-jpl/jenkins/linux64_ross_python	(revision 24236)
@@ -4,23 +4,19 @@
 #-------------------------------#
 
-#MATLAB path
-MATLAB_PATH="/usr/local/MATLAB/R2015a"
-
 #ISSM CONFIGURATION
 ISSM_CONFIG='--prefix=$ISSM_DIR \
 	--disable-static \
-	--with-matlab-dir=$MATLAB_PATH \
 	--with-python-dir=/usr \
 	--with-python-numpy-dir=/home/jenkins/.local/lib/python2.7/site-packages/numpy \
-	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-fortran-lib="-L/usr/lib/gcc/x86_64-linux-gnu/4.9 -lgfortran" \
 	--with-mpi-include=$ISSM_DIR/externalpackages/mpich/install/include  \
 	--with-mpi-libflags="-L$ISSM_DIR/externalpackages/mpich/install/lib -lmpi -lmpicxx -lmpifort" \
+	--with-metis-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
 	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-metis-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
-	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
 	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
-	--with-fortran-lib="-L/usr/lib/gcc/x86_64-linux-gnu/4.9 -lgfortran" \
 	--with-m1qn3-dir=$ISSM_DIR/externalpackages/m1qn3/install \
 	--with-numthreads=4 \
@@ -37,6 +33,7 @@
 
 #List of external packages to be installed and their installation scripts
-EXTERNALPACKAGES="mpich         install-3.2-linux64.sh
+EXTERNALPACKAGES="autotools     install.sh
 						cmake         install.sh
+						mpich         install-3.2-linux64.sh
 						petsc         install-3.7-linux64.sh
 						triangle      install-linux64.sh
@@ -51,8 +48,8 @@
 #number of cpus used in ISSM installation and compilation (one is usually
 #safer as some packages are very sensitive to parallel compilation)
-NUMCPUS_INSTALL=5
+NUMCPUS_INSTALL=10
 
 #number of cpus used in the nightly runs.
-NUMCPUS_RUN=3
+NUMCPUS_RUN=5
 
 #Nightly run options. The matlab routine runme.m will be called
@@ -61,3 +58,3 @@
 #ex: "'id',[101 102 103]"
 PYTHON_NROPTIONS="--exclude_name 'Dakota'"
-MATLAB_NROPTIONS="'exclude',[IdFromString('Dakota')]"
+MATLAB_NROPTIONS=""