Index: issm/trunk-jpl/src/m/coordsystems/ll2xy.m
===================================================================
--- issm/trunk-jpl/src/m/coordsystems/ll2xy.m	(revision 24253)
+++ issm/trunk-jpl/src/m/coordsystems/ll2xy.m	(revision 24254)
@@ -1,6 +1,6 @@
-function [x,y,scale_factor] = ll2xy(lat,lon,sgn,central_meridian,standard_parallel)  
+function [x,y,scale_factor] = ll2xy(lat,lon,sgn,central_meridian,standard_parallel)
 %LL2XY - converts lat long to polar stereographic
 %
-%   Converts from geodetic latitude and longitude to Polar 
+%   Converts from geodetic latitude and longitude to Polar
 %   Stereographic (X,Y) coordinates for the polar regions.
 %   Optional scale factor provides the scaling factor needed to correct projection error
@@ -13,6 +13,6 @@
 %      [x,y] = ll2xy(lat,lon,sgn,central_meridian,standard_parallel)
 %
-%      - sgn = Sign of latitude +1 : north latitude (default is mer=45 lat=70)
-%                               -1 : south latitude (default is mer=0  lat=71)
+%      - sgn = Sign of latitude		1 : north latitude (default is mer=45 lat=70)
+%                              	   -1 : south latitude (default is mer=0  lat=71)
 
 %Get central_meridian and standard_parallel depending on hemisphere
@@ -55,5 +55,5 @@
 T = tan(pi/4-latitude/2) ./ ((1-ex*sin(latitude))./(1+ex*sin(latitude))).^(ex/2);
 
-if (90 - slat) <  1.e-5 
+if (90 - slat) <  1.e-5
 	rho = 2.*re*T/sqrt((1.+ex)^(1.+ex)*(1.-ex)^(1.-ex));
 else
Index: issm/trunk-jpl/src/m/coordsystems/ll2xy.py
===================================================================
--- issm/trunk-jpl/src/m/coordsystems/ll2xy.py	(revision 24253)
+++ issm/trunk-jpl/src/m/coordsystems/ll2xy.py	(revision 24254)
@@ -14,9 +14,9 @@
       x, y = ll2xy(lat, lon, sgn, central_meridian, standard_parallel)
 
- - sgn = Sign of latitude + 1 : north latitude (default is mer = 45 lat = 70)
- - 1 : south latitude (default is mer = 0  lat = 71)
+ - sgn = Sign of latitude	1 : north latitude (default is mer = 45 lat = 70)
+ 						   -1 : south latitude (default is mer = 0  lat = 71)
     '''
 
-    assert sgn == 1 or sgn == - 1, 'error: sgn should be either + 1 or - 1'
+    assert sgn == 1 or sgn == -1, 'error: sgn should be either 1 or -1'
 
     #Get central_meridian and standard_parallel depending on hemisphere
@@ -53,5 +53,5 @@
         rho = re * mc * T / tc
 
-    y = - rho * sgn * np.cos(sgn * longitude)
+    y = -rho * sgn * np.cos(sgn * longitude)
     x = rho * sgn * np.sin(sgn * longitude)
 
Index: issm/trunk-jpl/src/m/coordsystems/xy2ll.m
===================================================================
--- issm/trunk-jpl/src/m/coordsystems/xy2ll.m	(revision 24253)
+++ issm/trunk-jpl/src/m/coordsystems/xy2ll.m	(revision 24254)
@@ -14,6 +14,6 @@
 %      [lat,lon] = xy2ll(x,y,sgn,central_meridian,standard_parallel);
 %
-%      - sgn = Sign of latitude +1 : north latitude (default is mer=45 lat=70)
-%                               -1 : south latitude (default is mer=0  lat=71)
+%      - sgn = Sign of latitude		1 : north latitude (default is mer=45 lat=70)
+%                              	   -1 : south latitude (default is mer=0  lat=71)
 
 %Get central_meridian and standard_parallel depending on hemisphere
@@ -29,5 +29,5 @@
 		disp('Warning: expecting coordinates in polar stereographic (Std Latitude: 71ºS Meridian: 0º)');
 	else
-		error('Sign should be either +1 or -1');
+		error('Sign should be either 1 or -1');
 	end
 else
@@ -78,5 +78,5 @@
 lon = lon * 180. / pi;
 lat = lat * 180. / pi;
-lon = lon - delta; 
+lon = lon - delta;
 if nargout==3,
 	m=((1+sin(abs(slat)*pi/180))*ones(length(lat),1)./(1+sin(abs(lat)*pi/180)));
Index: issm/trunk-jpl/src/m/coordsystems/xy2ll.py
===================================================================
--- issm/trunk-jpl/src/m/coordsystems/xy2ll.py	(revision 24253)
+++ issm/trunk-jpl/src/m/coordsystems/xy2ll.py	(revision 24254)
@@ -16,6 +16,6 @@
        [lat, lon] = xy2ll(x, y, sgn, central_meridian, standard_parallel)
 
-     - sgn = Sign of latitude + 1 : north latitude (default is mer = 45 lat = 70)
-     - 1 : south latitude (default is mer = 0  lat = 71)
+     - sgn = Sign of latitude	1 : north latitude (default is mer = 45 lat = 70)
+     						   -1 : south latitude (default is mer = 0  lat = 71)
     '''
 
@@ -29,10 +29,10 @@
             slat = 70.
             print('        xy2ll: creating coordinates in north polar stereographic (Std Latitude: 70degN Meridian: 45deg)')
-        elif sgn == - 1:
+        elif sgn == -1:
             delta = 0.
             slat = 71.
             print('        xy2ll: creating coordinates in south polar stereographic (Std Latitude: 71degS Meridian: 0deg)')
         else:
-            raise ValueError('sgn should be either + 1 or - 1')
+            raise ValueError('sgn should be either 1 or -1')
     else:
         raise Exception('bad usage: type "help(xy2ll)" for details')
@@ -67,5 +67,5 @@
 
     lat = sgn * lat
-    lon = np.arctan2(sgn * x, - sgn * y)
+    lon = np.arctan2(sgn * x, -sgn * y)
     lon = sgn * lon
 
Index: issm/trunk-jpl/src/m/dev/devpath.py
===================================================================
--- issm/trunk-jpl/src/m/dev/devpath.py	(revision 24253)
+++ issm/trunk-jpl/src/m/dev/devpath.py	(revision 24254)
@@ -11,11 +11,11 @@
     raise NameError('"ISSM_DIR" environment variable is empty! You should define ISSM_DIR in your .cshrc or .bashrc!')
 
-    #Go through src / m and append any directory that contains a * .py file to PATH
+    #Go through src/m and append any directory that contains a *.py file to PATH
 for root, dirs, files in os.walk(ISSM_DIR + '/src/m'):
     if '.svn' in dirs:
         dirs.remove('.svn')
     for file in files:
-        if file.find(".py") != - 1:
-            if file.find(".pyc") == - 1:
+        if file.find(".py") != -1:
+            if file.find(".pyc") == -1:
                 if root not in sys.path:
                     sys.path.append(root)
@@ -35,5 +35,5 @@
             sys.path.append(jpl_path)
     else:
-        warnings.warn('cluster settings should be in, {} / usr / {}'.format(JPL_SVN, USERNAME))
+        warnings.warn('cluster settings should be in, {}/usr/{}'.format(JPL_SVN, USERNAME))
 
 from runme import runme  #first because plotmodel may fail
Index: issm/trunk-jpl/src/m/exp/expcoarsen.py
===================================================================
--- issm/trunk-jpl/src/m/exp/expcoarsen.py	(revision 24253)
+++ issm/trunk-jpl/src/m/exp/expcoarsen.py	(revision 24254)
@@ -55,6 +55,6 @@
                     yi = np.linspace(y[j], y[j + 1], division)
 
-                    x = np.hstack((x[0:j + 1], xi[1: - 1], x[j + 1:]))
-                    y = np.hstack((y[0:j + 1], yi[1: - 1], y[j + 1:]))
+                    x = np.hstack((x[0:j + 1], xi[1:-1], x[j + 1:]))
+                    y = np.hstack((y[0:j + 1], yi[1:-1], y[j + 1:]))
 
                     #update current point
Index: issm/trunk-jpl/src/m/exp/expread.py
===================================================================
--- issm/trunk-jpl/src/m/exp/expread.py	(revision 24253)
+++ issm/trunk-jpl/src/m/exp/expread.py	(revision 24254)
@@ -50,5 +50,5 @@
 
         if len(A[1]) > 5:
-            contour['name'] = A[1][5: - 1]
+            contour['name'] = A[1][5:-1]
         else:
             contour['name'] = ''
Index: issm/trunk-jpl/src/m/exp/flowlines.py
===================================================================
--- issm/trunk-jpl/src/m/exp/flowlines.py	(revision 24253)
+++ issm/trunk-jpl/src/m/exp/flowlines.py	(revision 24254)
@@ -91,5 +91,5 @@
                 flowindex = 0
             elif flowdirection == 'downstream':
-                flowindex = - 1
+                flowindex = -1
 
             while not all(done):
@@ -112,6 +112,6 @@
                 #velocity of the current triangle and norm it
                 if flowdirection == 'upstream':
-                    ut = - u[tria]
-                    vt = - v[tria]
+                    ut = -u[tria]
+                    vt = -v[tria]
                 if flowdirection == 'downstream':
                     ut = u[tria]
Index: issm/trunk-jpl/src/m/geometry/NowickiProfile.py
===================================================================
--- issm/trunk-jpl/src/m/geometry/NowickiProfile.py	(revision 24253)
+++ issm/trunk-jpl/src/m/geometry/NowickiProfile.py	(revision 24254)
@@ -39,5 +39,5 @@
     #downstream of the GL
     for i in range(int(np.size(x) / 2), int(np.size(x))):
-        h[i] = (x[i] / (4. * (delta + 1) * q) + hg**(- 2))**(- 0.5)  # ice thickness for ice shelf from (3.1)
+        h[i] = (x[i] / (4. * (delta + 1) * q) + hg**(-2))**(-0.5)  # ice thickness for ice shelf from (3.1)
         b[i] = sea - h[i] * (1. / (1 + delta))
 
Index: issm/trunk-jpl/src/m/geometry/SegIntersect.py
===================================================================
--- issm/trunk-jpl/src/m/geometry/SegIntersect.py	(revision 24253)
+++ issm/trunk-jpl/src/m/geometry/SegIntersect.py	(revision 24254)
@@ -48,5 +48,5 @@
 
     #if colinear
-    if test1 * test2 == 0 and test3 * test4 == 0 and np.linalg.det(np.hstack((n1.reshape((- 1, )), n2.reshape(- 1, )))) == 0:
+    if test1 * test2 == 0 and test3 * test4 == 0 and np.linalg.det(np.hstack((n1.reshape((-1, )), n2.reshape(-1, )))) == 0:
 
         #projection on the axis O1O2
@@ -57,5 +57,5 @@
         O1D = np.dot(O2O1, O1D)
 
-    #test if one point is included in the other segment (- > bval = 1)
+    #test if one point is included in the other segment (-> bval = 1)
         if (O1C - O1A) * (O1D - O1A) < 0:
             bval = 1
@@ -71,5 +71,5 @@
             return bval
 
-    #test if the 2 segments have the same middle (- > bval = 1)
+    #test if the 2 segments have the same middle (-> bval = 1)
         if O2O1 == 0:
             bval = 1
Index: issm/trunk-jpl/src/m/geometry/slope.py
===================================================================
--- issm/trunk-jpl/src/m/geometry/slope.py	(revision 24253)
+++ issm/trunk-jpl/src/m/geometry/slope.py	(revision 24254)
@@ -34,6 +34,6 @@
 
     summation = np.array([[1], [1], [1]])
-    sx = np.dot(surf[index - 1, 0] * alpha, summation).reshape(- 1, )
-    sy = np.dot(surf[index - 1, 0] * beta, summation).reshape(- 1, )
+    sx = np.dot(surf[index - 1, 0] * alpha, summation).reshape(-1, )
+    sy = np.dot(surf[index - 1, 0] * beta, summation).reshape(-1, )
 
     s = np.sqrt(sx**2 + sy**2)
Index: issm/trunk-jpl/src/m/mech/backstressfrominversion.py
===================================================================
--- issm/trunk-jpl/src/m/mech/backstressfrominversion.py	(revision 24253)
+++ issm/trunk-jpl/src/m/mech/backstressfrominversion.py	(revision 24254)
@@ -62,5 +62,5 @@
     T = 0.5 * md.materials.rho_ice * md.constants.g * (1 - md.materials.rho_ice / md.materials.rho_water) * md.geometry.thickness
     n = averaging(md, md.materials.rheology_n, 0)
-    Bi = md.results.StressbalanceSolution.MaterialsRheologyBbar.reshape(- 1, )
+    Bi = md.results.StressbalanceSolution.MaterialsRheologyBbar.reshape(-1, )
 
     a0, b0, theta0, ex0 = thomasparams(md, eq='Thomas', smoothing=smoothing, coordsys=coordsys)
Index: issm/trunk-jpl/src/m/mech/damagefrominversion.py
===================================================================
--- issm/trunk-jpl/src/m/mech/damagefrominversion.py	(revision 24253)
+++ issm/trunk-jpl/src/m/mech/damagefrominversion.py	(revision 24254)
@@ -26,9 +26,9 @@
         raise Exception('Warning: the model has some non - SSA elements.  These will be treated like SSA elements')
     if np.ndim(md.results.StressbalanceSolution.MaterialsRheologyBbar) == 2:
-        Bi = md.results.StressbalanceSolution.MaterialsRheologyBbar.reshape(- 1, )
+        Bi = md.results.StressbalanceSolution.MaterialsRheologyBbar.reshape(-1, )
     else:
         Bi = md.results.StressbalanceSolution.MaterialsRheologyBbar
     if np.ndim(md.materials.rheology_B) == 2:
-        BT = md.materials.rheology_B.reshape(- 1, )
+        BT = md.materials.rheology_B.reshape(-1, )
     else:
         BT = md.materials.rheology_B
Index: issm/trunk-jpl/src/m/mech/mechanicalproperties.py
===================================================================
--- issm/trunk-jpl/src/m/mech/mechanicalproperties.py	(revision 24253)
+++ issm/trunk-jpl/src/m/mech/mechanicalproperties.py	(revision 24254)
@@ -60,8 +60,8 @@
     vxlist = vx[index - 1] / md.constants.yts
     vylist = vy[index - 1] / md.constants.yts
-    ux = np.dot((vxlist * alpha), summation).reshape(- 1, )
-    uy = np.dot((vxlist * beta), summation).reshape(- 1, )
-    vx = np.dot((vylist * alpha), summation).reshape(- 1, )
-    vy = np.dot((vylist * beta), summation).reshape(- 1, )
+    ux = np.dot((vxlist * alpha), summation).reshape(-1, )
+    uy = np.dot((vxlist * beta), summation).reshape(-1, )
+    vx = np.dot((vylist * alpha), summation).reshape(-1, )
+    vy = np.dot((vylist * beta), summation).reshape(-1, )
     uyvx = (vx + uy) / 2.
     #clear vxlist vylist
@@ -69,7 +69,7 @@
     #compute viscosity
     nu = np.zeros((numberofelements, ))
-    B_bar = np.dot(md.materials.rheology_B[index - 1], summation / 3.).reshape(- 1, )
-    power = ((md.materials.rheology_n - 1.) / (2. * md.materials.rheology_n)).reshape(- 1, )
-    second_inv = (ux**2. + vy**2. + ((uy + vx)**2.) / 4. + ux * vy).reshape(- 1, )
+    B_bar = np.dot(md.materials.rheology_B[index - 1], summation / 3.).reshape(-1, )
+    power = ((md.materials.rheology_n - 1.) / (2. * md.materials.rheology_n)).reshape(-1, )
+    second_inv = (ux**2. + vy**2. + ((uy + vx)**2.) / 4. + ux * vy).reshape(-1, )
 
     #some corrections
@@ -86,5 +86,5 @@
     elif 'matdamageice' in md.materials.__module__ and damage is not None:
         print('computing damage-dependent properties!')
-        Zinv = np.dot(1 - damage[index - 1], summation / 3.).reshape(- 1, )
+        Zinv = np.dot(1 - damage[index - 1], summation / 3.).reshape(-1, )
         location = np.nonzero(second_inv)
         nu[location] = Zinv[location] * B_bar[location] / np.power(second_inv[location], power[location])
@@ -109,5 +109,5 @@
     #eigenvalues and vectors for stress
         value, directions = np.linalg.eig(stress)
-        idx = value.argsort()[:: - 1]  # sort in descending algebraic (not absolute) order
+        idx = value.argsort()[::-1]  # sort in descending algebraic (not absolute) order
         value = value[idx]
         directions = directions[:, idx]
@@ -117,5 +117,5 @@
     #eigenvalues and vectors for strain
         value, directions = np.linalg.eig(strain)
-        idx = value.argsort()[:: - 1]  # sort in descending order
+        idx = value.argsort()[::-1]  # sort in descending order
         value = value[idx]
         directions = directions[:, idx]
Index: issm/trunk-jpl/src/m/mech/robintemperature.py
===================================================================
--- issm/trunk-jpl/src/m/mech/robintemperature.py	(revision 24253)
+++ issm/trunk-jpl/src/m/mech/robintemperature.py	(revision 24254)
@@ -16,6 +16,6 @@
 
     Parameters (SI units):
-         - heatflux    Geothermal heat flux (W m^ - 2)
-         - accumrate    Surface accumulation rate (m s^ - 1 ice equivalent)
+         - heatflux    Geothermal heat flux (W m^-2)
+         - accumrate    Surface accumulation rate (m s^-1 ice equivalent)
          - thickness    Ice thickness (m)
          - surftemp    Surface temperature (K)
@@ -30,12 +30,12 @@
 
     # some constants (from Holland and Jenkins, 1999)
-    alphaT = 1.14e-6  # thermal diffusivity (m^2 s^ - 1)
-    c = 2009.  # specific heat capacity (J kg^ - 1 K^ - 1)
-    rho = 917.  # ice density (kg m^ - 3)
+    alphaT = 1.14e-6  # thermal diffusivity (m^2 s^-1)
+    c = 2009.  # specific heat capacity (J kg^-1 K^-1)
+    rho = 917.  # ice density (kg m^-3)
 
     #create vertical coordinate variable
     zstar = np.sqrt(2. * alphaT * thickness / accumrate)
 
-    tprofile = surftemp + np.sqrt(2. * thickness * np.pi / accumrate / alphaT) * (- heatflux) / 2. / rho / c * (erf(z / zstar) - erf(thickness / zstar))
+    tprofile = surftemp + np.sqrt(2. * thickness * np.pi / accumrate / alphaT) * (-heatflux) / 2. / rho / c * (erf(z / zstar) - erf(thickness / zstar))
 
     return tprofile
Index: issm/trunk-jpl/src/m/mech/thomasparams.py
===================================================================
--- issm/trunk-jpl/src/m/mech/thomasparams.py	(revision 24253)
+++ issm/trunk-jpl/src/m/mech/thomasparams.py	(revision 24254)
@@ -72,5 +72,5 @@
 
     # average element strain rates onto vertices
-    e1 = averaging(md, md.results.strainrate.principalvalue1, smoothing) / md.constants.yts  # convert to s^ - 1
+    e1 = averaging(md, md.results.strainrate.principalvalue1, smoothing) / md.constants.yts  # convert to s^-1
     e2 = averaging(md, md.results.strainrate.principalvalue2, smoothing) / md.constants.yts
     exx = averaging(md, md.results.strainrate.xx, smoothing) / md.constants.yts
@@ -81,9 +81,9 @@
     pos = np.nonzero(e1 == 0)
     if np.any(pos == 1):
-        print('WARNING: first principal strain rate equal to zero.  Value set to 1e-13 s^ - 1')
+        print('WARNING: first principal strain rate equal to zero.  Value set to 1e-13 s^-1')
         e1[pos] = 1.e-13
     pos = np.nonzero(e2 == 0)
     if np.any(pos == 1):
-        print('WARNING: second principal strain rate equal to zero.  Value set to 1e-13 s^ - 1')
+        print('WARNING: second principal strain rate equal to zero.  Value set to 1e-13 s^-1')
         e2[pos] = 1.e-13
 
@@ -119,5 +119,5 @@
         ex = 0.5 * (exx + eyy) + 0.5 * (exx - eyy) * np.cos(2. * velangle) + exy * np.sin(2. * velangle)
         ey = exx + eyy - ex  # trace of strain rate tensor is invariant
-        exy = - 0.5 * (exx - eyy) * np.sin(2. * velangle) + exy * np.cos(2. * velangle)
+        exy = -0.5 * (exx - eyy) * np.sin(2. * velangle) + exy * np.cos(2. * velangle)
         a = ey / ex
         b = exy / ex
@@ -130,5 +130,5 @@
     pos = np.nonzero(np.abs((np.abs(a) - 2.)) < 1.e-3)
     if len(pos) > 0:
-        print(('Warning: ', len(pos), ' vertices have alpha within 1e-3 of - 2'))
+        print(('Warning: ', len(pos), ' vertices have alpha within 1e-3 of -2'))
     a[pos] = -2 + 1e-3
 
Index: issm/trunk-jpl/src/m/partition/adjacency.py
===================================================================
--- issm/trunk-jpl/src/m/partition/adjacency.py	(revision 24253)
+++ issm/trunk-jpl/src/m/partition/adjacency.py	(revision 24254)
@@ -19,5 +19,5 @@
 
     md.qmu.adjacency = m.sparse(indi, indj, values, md.mesh.numberofvertices, md.mesh.numberofvertices)
-    md.qmu.adjacency = np.logical_or(md.qmu.adjacency, md.qmu.adjacency.T).astype(float)  #change to reshape(- 1, 1) if needed
+    md.qmu.adjacency = np.logical_or(md.qmu.adjacency, md.qmu.adjacency.T).astype(float)  #change to reshape(-1, 1) if needed
 
     #now, build vwgt:
@@ -27,5 +27,5 @@
     md.mesh.vertexconnectivity = NodeConnectivity(md.mesh.elements, md.mesh.numberofvertices)
 
-    connectivity = md.mesh.vertexconnectivity[0][:, 0: - 1]
+    connectivity = md.mesh.vertexconnectivity[0][:, 0:-1]
     pos = np.where(connectivity)
     connectivity[pos] = areas[connectivity[pos] - 1] / 3.
Index: issm/trunk-jpl/src/m/partition/partitioner.py
===================================================================
--- issm/trunk-jpl/src/m/partition/partitioner.py	(revision 24253)
+++ issm/trunk-jpl/src/m/partition/partitioner.py	(revision 24254)
@@ -76,5 +76,5 @@
             weights = []
 
-        method = method.reshape(- 1, 1)  # transpose to 1x10 instead of 10
+        method = method.reshape(-1, 1)  # transpose to 1x10 instead of 10
         #  partition into nparts
         if isinstance(md.mesh, mesh2d):
@@ -120,5 +120,5 @@
             part = project3d(md, 'vector', np.squeeze(part), 'type', 'node')
 
-        part = part.reshape(- 1, 1)
+        part = part.reshape(-1, 1)
 
     if vectortype == 'element':
Index: issm/trunk-jpl/src/m/qmu/helpers.py
===================================================================
--- issm/trunk-jpl/src/m/qmu/helpers.py	(revision 24253)
+++ issm/trunk-jpl/src/m/qmu/helpers.py	(revision 24254)
@@ -24,24 +24,24 @@
 Example uses:
 
-x = Lstruct(1, 2, 3, 4) - > [1, 2, 3, 4]
+x = Lstruct(1, 2, 3, 4) -> [1, 2, 3, 4]
     x.a = 'hello'
-    len(x) - > 4
+    len(x) -> 4
     x.append(5)
-    len(x) - > 5
-    x[2] - > 3
-    x.a - > 'hello'
-    print x - > [1, 2, 3, 4, 5]
-    x.__dict__ - > {'a': 'hello'}
+    len(x) -> 5
+    x[2] -> 3
+    x.a -> 'hello'
+    print x -> [1, 2, 3, 4, 5]
+    x.__dict__ -> {'a':'hello'}
     x.b = [6, 7, 8, 9]
-    x.b[-1] - > 9
-    len(x.b) - > 4
+    x.b[-1] -> 9
+    len(x.b) -> 4
 
 Other valid constructors:
-          x = Lstruct(1, 2, 3, a = 'hello') - > x.a - > 'hello', x - > [1, 2, 3]
+          x = Lstruct(1, 2, 3, a = 'hello') -> x.a -> 'hello', x -> [1, 2, 3]
           x = Lstruct(1, 2, 3)(a = 'hello')
           x = Lstruct([1, 2, 3], x = 'hello')
           x = Lstruct((1, 2, 3), a = 'hello')
 
-Credit: https: / / github.com / Vectorized / Python - Attribute-List
+Credit: https://github.com/Vectorized/Python-Attribute-List
 '''
 
@@ -63,5 +63,5 @@
 class OrderedStruct(object):
     '''
-A form of dictionary - like structure that maintains the
+A form of dictionary-like structure that maintains the
     ordering in which its fields / attributes and their
     corresponding values were added.
@@ -70,5 +70,5 @@
     can be used as an "ordered struct / class" giving
     it much more flexibility in practice. It is
-    also easier to work with fixed valued keys in - code.
+    also easier to work with fixed valued keys in-code.
 
 Eg:
@@ -79,7 +79,7 @@
     x.y = 5
     OR
-    x['y'] = 5  # supports OrderedDict - style usage
-
-Supports: len(x), str(x), for - loop iteration.
+    x['y'] = 5  # supports OrderedDict-style usage
+
+Supports: len(x), str(x), for-loop iteration.
 Has methods: x.keys(), x.values(), x.items(), x.iterkeys()
 
@@ -94,18 +94,18 @@
     #    in the same order as the inputs
 
-    x.keys() - > ['y', 'z']
-    x.values() - > [5, 6]
-    x.items() - > [('y', 6), ('z', 6)]
-    x.__dict__ - > [('y', 6), ('z', 6)]
-    vars(x) - > [('y', 6), ('z', 6)]
-
-    x.y - > 5
-    x['y'] - > 5
-    x.z - > 6
-    x['z'] - > 6
+    x.keys() -> ['y', 'z']
+    x.values() -> [5, 6]
+    x.items() -> [('y', 6), ('z', 6)]
+    x.__dict__ -> [('y', 6), ('z', 6)]
+    vars(x) -> [('y', 6), ('z', 6)]
+
+    x.y -> 5
+    x['y'] -> 5
+    x.z -> 6
+    x['z'] -> 6
 
     for i in x:  # same as x.items()
         print i
-     - >
+     ->
     ('x', 5)
     ('y', 6)
@@ -197,5 +197,5 @@
         # same thing but call deepcopy recursively
         # technically not how it should be done,
-        # (see https: / / docs.python.org / 2 / library / copy.html  #copy.deepcopy )
+        # (see https://docs.python.org/2/library/copy.html  #copy.deepcopy )
         # but will generally work in this case
         newInstance = type(self)()
@@ -227,6 +227,6 @@
 def isempty(x):
     '''
-    returns true if object is +  - infinity, NaN, None, '', has length 0, or is an
-    array / matrix composed only of such components (includes mixtures of "empty" types)'''
+    returns true if object is +  -infinity, NaN, None, '', has length 0, or is an
+    array/matrix composed only of such components (includes mixtures of "empty" types)'''
 
     if type(x) in [list, np.ndarray, tuple]:
@@ -247,5 +247,5 @@
     if x is None:
         return True
-    if type(x) == str and x.lower() in ['', 'nan', 'none', 'inf', 'infinity', ' - inf', ' - infinity']:
+    if type(x) == str and x.lower() in ['', 'nan', 'none', 'inf', 'infinity', '-inf', '-infinity']:
         return True
 
@@ -280,5 +280,5 @@
 def fileparts(x):
     '''
-    given:   "path / path / ... / file_name.ext"
+    given:   "path/path/.../file_name.ext"
     returns: [path, file_name, ext] (list of strings)'''
     try:
@@ -300,7 +300,7 @@
 
     fullfile(path, path, ... , file_name + ext)
-    returns: "path / path / ... / file_name.ext"
-
-    with all arguments as strings with no " / "s
+    returns: "path/path/.../file_name.ext"
+
+    with all arguments as strings with no "/"s
 
     regarding extensions and the '.':
@@ -331,5 +331,5 @@
 def empty_nd_list(shape, filler=0., as_numpy_ndarray=False):
     '''
-returns a python list of the size / shape given (shape must be int or tuple)
+returns a python list of the size/shape given (shape must be int or tuple)
     the list will be filled with the optional second argument
 
@@ -338,6 +338,6 @@
     as_numpy_ndarray will return the result as a numpy.ndarray and is False by default
 
-    Note: the filler must be either None / np.nan / float('NaN'), float / double, or int
-        other numpy and float values such as + / - np.inf will also work
+    Note: the filler must be either None/np.nan/float('NaN'), float/double, or int
+        other numpy and float values such as +/- np.inf will also work
 
 use: